#include "appli.h"

//This callback function is necessary to set another folder as a default than the Desktop.
//The goal here is to simplify browsing using the last directory the user browsed into.
//Unfortunately, there is no simpler way to do so, or rather, I do not know any.
//Once the browsing window is opened, a message is sent to it to set the selection to the folder in lpDirectory.
int CALLBACK BrowseForFolderCallback(HWND hWndBrowseCallback,UINT uMsg,LPARAM lParam, LPARAM lpDirectory)
{
	switch(uMsg)
	{
		case BFFM_INITIALIZED:
			SendMessage(hWndBrowseCallback, BFFM_SETSELECTION, TRUE, lpDirectory);
			break;
	}

	return 0;
}
